<?php
/**
 * Created by PhpStorm.
 * User: yurik_maz
 * Date: 10.01.14
 * Time: 12:42
 */
define('PATH', $_SERVER['DOCUMENT_ROOT']);
include(PATH.'/core/ajax/ajax_core.php');

$inCore->loadModel('poster');
$model = new cms_model_poster();

$inDB       = cmsDatabase::getInstance();
$inPage     = cmsPage::getInstance();

$data = $inCore->request('day', 'str');
$date = date('Y-m-d', strtotime($data));

$sql = "
        SELECT
        s.*,
        i.*,
        t.seo_link as type_seo_link,
        i.id as i_id
        FROM cms_poster_schedule s
        LEFT JOIN cms_poster_items i ON i.id = s.item_id
        LEFT JOIN cms_poster_type t ON i.type_id = t.id
        WHERE
        DATE_FORMAT(s.start_date, '%Y-%m-%d')<='{$date}' AND DATE_FORMAT(s.end_date, '%Y-%m-%d')>='{$date}'
        GROUP BY s.item_id
    ";

$result = $inDB->query($sql);

$items = array();
if ($inDB->num_rows($result))
{
    while ($item = $inDB->fetch_assoc($result)){
        $item['image']    = (file_exists(PATH.'/images/poster/small/poster_item_'.$item['i_id'].'.jpg') ? '/images/poster/small/poster_item_'.$item['i_id'].'.jpg' : '');
        $items[] = $item;
    }

    cmsPage::initTemplate('components', 'com_poster_ajax_modal')->
        assign('items', $items)->
        display('com_poster_ajax_modal.tpl');
}

$inCore->halt();





