<?php

    function routes_poster()
    {
        $routes[] = array(
            '_uri'  => '/^poster\/calendar$/i',
            'do'    => 'calendar'
        );

        $routes[] = array(
            '_uri'  => '/^poster\/add$/i',
            'do'    => 'add'
        );

        $routes[] = array(
            '_uri'  => '/^poster\/edit([0-9]+)$/i',
            'do'    => 'add',
            1       => 'id',
        );

        $routes[] = array(
            '_uri'  => '/^poster\/delete([0-9]+)$/i',
            'do'    => 'delete',
            1       => 'id',
        );

        $routes[] = array(
            '_uri'  => '/^poster\/add_place_type$/i',
            'do'    => 'add_place_type'
        );

        $routes[] = array(
            '_uri'  => '/^poster\/edit_place_type([0-9]+)$/i',
            'do'    => 'add_place_type',
            1       => 'id',
        );

        $routes[] = array(
            '_uri'  => '/^poster\/delete_place_type([0-9]+)$/i',
            'do'    => 'delete_place_type',
            1       => 'id',
        );

        $routes[] = array(
            '_uri'  => '/^poster\/add_type$/i',
            'do'    => 'add_type'
        );

        $routes[] = array(
            '_uri'  => '/^poster\/edit_type([0-9]+)$/i',
            'do'    => 'add_type',
            1       => 'id',
        );

        $routes[] = array(
            '_uri'  => '/^poster\/delete_type([0-9]+)$/i',
            'do'    => 'delete_type',
            1       => 'id',
        );

        $routes[] = array(
            '_uri'  => '/^poster\/delete_schedule([0-9]+)$/i',
            'do'    => 'delete_schedule',
            1       => 'id',
        );

        $routes[] = array(
            '_uri'  => '/^poster\/delete_place([0-9]+)$/i',
            'do'    => 'delete_place',
            1       => 'id',
        );

        $routes[] = array(
            '_uri'  => '/^poster\/place\/map$/i',
            'do'    => 'map'
        );

        $routes[] = array(
            '_uri'  => '/^poster\/add_place$/i',
            'do'    => 'add_place'
        );

        $routes[] = array(
            '_uri'  => '/^poster\/edit_place([0-9]+)$/i',
            'do'    => 'add_place',
            1       => 'id',
        );

        $routes[] = array(
            '_uri'  => '/^poster\/rate$/i',
            'do'    => 'rate_item'
        );

        $routes[] = array(
            '_uri'  => '/^poster\/rate_place$/i',
            'do'    => 'rate_place'
        );

        $routes[] = array(
            '_uri'  => '/^poster\/place$/i',
            'do'    => 'places',
        );

        $routes[] = array(
            '_uri'  => '/^poster\/place\/page\-([0-9]+)$/i',
            'do'    => 'view',
            1       => 'page',
        );

        $routes[] = array(
            '_uri'  => '/^poster\/place\/([a-zA-Z0-9\-]+)$/i',
            'do'    => 'view_place',
            1       => 'seolink',
        );

        $routes[] = array(
            '_uri'  => '/^poster\/page\-([0-9]+)$/i',
            'do'    => 'view',
            1       => 'page',
        );

        $routes[] = array(
            '_uri'  => '/^poster\/([a-zA-Z0-9\-]+)$/i',
            'do'    => 'view',
            1       => 'seolink',
        );

        $routes[] = array(
            '_uri'  => '/^poster\/([a-zA-Z0-9\-]+)\/page\-([0-9]+)$/i',
            'do'    => 'view',
            1       => 'seolink',
            2       => 'page',
        );

        $routes[] = array(
            '_uri'  => '/^poster\/([a-zA-Z0-9\-]+)\/([a-zA-Z0-9\-]+)\/edit_schedule([0-9]+)$/i',
            'do'    => 'add_schedule',
            1       => 'type',
            2       => 'seolink',
            3       => 'id',
        );

        $routes[] = array(
            '_uri'  => '/^poster\/([a-zA-Z0-9\-]+)\/([a-zA-Z0-9\-]+)\/add_schedule$/i',
            'do'    => 'add_schedule',
            1       => 'type',
            2       => 'seolink',
        );

        $routes[] = array(
            '_uri'  => '/^poster\/([a-zA-Z0-9\-]+)\/([a-zA-Z0-9\-]+)\/edit_video([0-9]+)$/i',
            'do'    => 'add_video',
            1       => 'type',
            2       => 'seolink',
            3       => 'id',
        );

        $routes[] = array(
            '_uri'  => '/^poster\/([a-zA-Z0-9\-]+)\/([a-zA-Z0-9\-]+)\/add_video$/i',
            'do'    => 'add_video',
            1       => 'type',
            2       => 'seolink',
        );

        $routes[] = array(
            '_uri'  => '/^poster\/([a-zA-Z0-9\-]+)\/([a-zA-Z0-9\-]+)$/i',
            'do'    => 'view_item',
            1       => 'type',
            2       => 'seolink',
        );

        return $routes;
    }
