<?php
function mod_poster($module_id, $cfg){

    $inDB = cmsDatabase::getInstance();
    $inPage = cmsPage::getInstance();
    cmsCore::loadModel('poster');
    $model = new cms_model_poster();

    if(!$cfg['count'])                  $cfg['count']= 10;
    if(!$cfg['type'])                   $cfg['type']= 1;

    $inDB->limit = $cfg['count'];
    $items_now = $model->getAllSchedules(false);
    $items_tm = $model->getAllSchedules(date('Y-m-d',(strtotime ( '+1 day' ,strtotime(date('Y-m-d'))))));
    $items_month = $model->getAllSchedules(false, true);

    cmsPage::initTemplate('modules', 'mod_poster')->
        assign('items_now', $items_now)->
        assign('items_tm', $items_tm)->
        assign('items_month', $items_month)->
        assign('cfg', $cfg)->
        display('mod_poster.tpl');

    return true;
}
