<h1 class="con_heading">Места на карте</h1>

<div>
    <form method="post" id="filter-form">
        <label for="">Показать в городе</label>
        <select name="filter[city]" id="city_name">
            <option value="">Неважно</option>
            {foreach key=tid item=city from=$cities}
                <option value="{$city.city}" {if $filter.city==$city.city}selected="selected"{/if}>{$city.city}</option>
            {/foreach}
        </select>
        <label for="">Тип</label>
        <select name="filter[type]" id="">
            <option value="">Неважно</option>
            {foreach key=tid item=type from=$types}
                <option value="{$type.id}" {if $filter.type==$type.id}selected="selected"{/if}>{$type.title}</option>
            {/foreach}
        </select>
        <input type="button" value="Фильтровать" class="send"/>
    </form>
</div>

<div id="map" style="width: 100%; height: 600px"></div>

{literal}
<script src="//api-maps.yandex.ru/2.0/?load=package.full&lang=ru-RU" type="text/javascript"></script>
<script type="text/javascript">
        var myMap;
        ymaps.ready(init);

        function init(){
            var geolocation = ymaps.geolocation,
            coords = [geolocation.latitude, geolocation.longitude],
            myMap = new ymaps.Map('map', {
                center: coords,
                zoom: 10,
                behaviors: ['default', 'scrollZoom']
            });
            myMap.controls
                    .add('zoomControl', { left: 5, top: 5 })

            var result = ymaps.geoQuery({/literal}{$items}{literal});
            myMap.geoObjects.add(result.clusterize({
                preset: 'twirl#invertedWhiteClusterIcons',
                groupByCoordinates: false,
                gridSize: 150
            }));

            $('.send').click(function()
            {
                var data = $('#filter-form').serialize();
                var center = myMap.getCenter();
                var zoom = myMap.getZoom();

                $.ajax({
                    type: 'POST',
                    url: '/components/poster/ajax/map_items.php',
                    data: data,
                    success: function(res)
                    {
                        myMap.destroy();
                        myMap = new ymaps.Map ("map", {
                            center: getCenter(data),
                            zoom: zoom,
                            behaviors: ['default', 'scrollZoom']
                        });
//
                        myMap.controls.add('zoomControl', { left: 5, top: 5 });
                        var result = ymaps.geoQuery(res);
                        myMap.geoObjects.add(result.clusterize({
                            preset: 'twirl#invertedWhiteClusterIcons',
                            groupByCoordinates: false,
                            gridSize: 150
                        }));
                    }
                });

                return false;
            });

        }
    function getCenter(data)
    {
        $.ajax({
            async: false,
            type: 'POST',
            url: '/components/poster/ajax/city_coords.php',
            data: data,
            success: function(res)
            {
                coo = res;
            }
        });
        return (coo.split(','));
    }
</script>
{/literal}