{if $cfg.type==1}
    {if $items_now}
        <h3>Сегодня показывают</h3>
        <table class="sc-table">
            <tr class="thead">
                <td>Название</td>
                <td>Место показу</td>
                <td>Сеансы</td>
                <td>Цена от</td>
                <td>Город</td>
            </tr>
            {foreach key=tid item=item from=$items_now}
                <tr>
                    <td>
                        <a href="/poster/{$item.type_seo_link}/{$item.seo_link}">{$item.title}</a>
                    </td>
                    <td>
                        <a href="/poster/place/{$item.p_seo_link}">{$item.p_title}</a>
                    </td>
                    <td>
                        {$item.schedule}
                    </td>
                    <td>
                        {$item.s_price}
                    </td>
                    <td>
                        {$item.city}
                    </td>
                </tr>
            {/foreach}
        </table>
    {/if}
    {if $items_tm}
        <h3>Завтра показывают</h3>
        <table class="sc-table">
            <tr class="thead">
                <td>Название</td>
                <td>Место показу</td>
                <td>Сеансы</td>
                <td>Цена от</td>
                <td>Город</td>
            </tr>
            {foreach key=tid item=item from=$items_tm}
                <tr>
                    <td>
                        <a href="/poster/{$item.type_seo_link}/{$item.seo_link}">{$item.title}</a>
                    </td>
                    <td>
                        <a href="/poster/place/{$item.p_seo_link}">{$item.p_title}</a>
                    </td>
                    <td>
                        {$item.schedule}
                    </td>
                    <td>
                        {$item.s_price}
                    </td>
                    <td>
                        {$item.city}
                    </td>
                </tr>
            {/foreach}
        </table>
    {/if}
    {if $items_month}
        <h3>В этом месяце показывают</h3>
        <table class="sc-table">
            <tr class="thead">
                <td>Название</td>
                <td>Место показу</td>
                <td>Сеансы</td>
                <td>Цена от</td>
                <td>Город</td>
            </tr>
            {foreach key=tid item=item from=$items_month}
                <tr>
                    <td>
                        <a href="/poster/{$item.type_seo_link}/{$item.seo_link}">{$item.title}</a>
                    </td>
                    <td>
                        <a href="/poster/place/{$item.p_seo_link}">{$item.p_title}</a>
                    </td>
                    <td>
                        {$item.schedule}
                    </td>
                    <td>
                        {$item.s_price}
                    </td>
                    <td>
                        {$item.city}
                    </td>
                </tr>
            {/foreach}
        </table>
    {/if}
{else}
    <div class="sc-items">
        {foreach key=tid item=item from=$items}
            <a href="/poster/{$item.type_seo_link}/{$item.seo_link}" title="{$item.title}" style="background: url({$item.image}) center center no-repeat"><p>{$item.title}</p></a>
        {/foreach}
        <div class="clear"></div>
    </div>
{/if}

{literal}
    <style>
        .sc-table {
            width: 100%;
        }
        .sc-table td {
            padding: 3px 5px;
            border-bottom: 1px dotted #ccc;
        }
        .sc-items a {
            display: block;
            width: 120px;
            height: 120px;
            float: left;
            margin-bottom: 10px;
            margin-right: 10px;
            position: relative;
        }
        .sc-items a p {
            background: rgba(0,0,0,0.7);
            color: #fff;
            font-weight: bold;
            position: absolute;
            left: 0;
            bottom: 0;
            width: 100px;
            padding: 3px 10px;
            font-size: 11px;
            line-height: 12px;
            display: none;
        }
    </style>
    <script>
        $('.sc-items a').hover(
                function() {
                    $(this).find('p').fadeIn();
                },
                function() {
                    $(this).find('p').fadeOut();
                }
        )
    </script>
{/literal}