<script src="/includes/jquery/multifile/jquery.multifile.js"></script>
<?php
if(!defined('VALID_CMS_ADMIN')) { die('ACCESS DENIED'); }

$cfg = $inCore->loadComponentConfig('poster');

cmsCore::loadClass('form');
cmsCore::loadModel('poster');

$model = new cms_model_poster();
$inDB = cmsDatabase::getInstance();

$opt = cmsCore::request('opt', 'str', 'list');
$item_id = cmsCore::request('item_id', 'int');
//if($opt=='list'){
    $toolmenu[] = array('icon'=>'poster/item.png', 'title'=>'Мероприятия', 'link'=>'?view=components&do=config&id='.$id.'&opt=list');
    $toolmenu[] = array('icon'=>'poster/add_item.png', 'title'=>'Добавить мероприятие', 'link'=>'?view=components&do=config&id='.$id.'&opt=add');
    $toolmenu[] = array('icon'=>'poster/place.png', 'title'=>'Места', 'link'=>'?view=components&do=config&id='.$id.'&opt=place');
    $toolmenu[] = array('icon'=>'poster/add_place.png', 'title'=>'Добавить место', 'link'=>'?view=components&do=config&id='.$id.'&opt=add_place');
    $toolmenu[] = array('icon'=>'poster/schedule.png', 'title'=>'Расписание', 'link'=>'?view=components&do=config&id='.$id.'&opt=schedule_list');
    $toolmenu[] = array('icon'=>'poster/schedule_add.png', 'title'=>'Добавить расписание', 'link'=>'?view=components&do=config&id='.$id.'&opt=add_schedule');

    $toolmenu[] = array('icon'=>'poster/type.png', 'title'=>'Типы событий', 'link'=>'?view=components&do=config&id='.$id.'&opt=type_list');
    $toolmenu[] = array('icon'=>'poster/type.png', 'title'=>'Типы мест', 'link'=>'?view=components&do=config&id='.$id.'&opt=place_type_list');
//}

if ($opt=='type_list'){
    $toolmenu[] = array('icon'=>'new.gif', 'title'=>'Добавить тип', 'link'=>'?view=components&do=config&id='.$id.'&opt=add_type');
}
if ($opt=='place_type_list'){
    $toolmenu[] = array('icon'=>'new.gif', 'title'=>'Добавить тип', 'link'=>'?view=components&do=config&id='.$id.'&opt=add_place_type');
}

if(in_array($opt, array('add', 'edit','add_place', 'edit_place','add_type', 'edit_place_type')))
{
    $toolmenu[] = array('icon'=>'save.gif', 'title'=>$_LANG['SAVE'], 'link'=>'javascript:document.optform.submit();');
}
$toolmenu[] = array('icon'=>'config.gif', 'title'=>$_LANG['AD_SETTINGS'], 'link'=>'?view=components&do=config&id='.$id.'&opt=config');
cpToolMenu($toolmenu);


if ($opt=='config') {
	$GLOBALS['cp_page_head'][] = '<script type="text/javascript" src="/includes/jquery/tabs/jquery.ui.min.js"></script>';
	$GLOBALS['cp_page_head'][] = '<link href="/includes/jquery/tabs/tabs.css" rel="stylesheet" type="text/css" />';

    $new_conf = $inCore->request('cfg', 'array');
    if($new_conf)
    {
        $inCore->saveComponentConfig('poster', $new_conf);
        cmsCore::addSessionMessage($_LANG['AD_CONFIG_SAVE_SUCCESS'], 'success');
        cmsCore::redirect('?view=components&do=config&id='.$id.'&opt=config');
    }

?>
<h3>Параметры афиши</h3>
<form action="index.php?view=components&do=config&opt=config&id=<?php echo $id;?>" method="post" name="addform" id="addform">
<input type="hidden" name="csrf_token" value="<?php echo cmsUser::getCsrfToken(); ?>" />
<div id="config_tabs" style="margin-top:12px;" class="uitabs">

    <ul id="tabs">
        <li><a href="#basic"><span><?php echo $_LANG['AD_OVERALL']; ?></span></a></li>
        <li><a href="#photos"><span><?php echo $_LANG['AD_FOTO']; ?></span></a></li>
    </ul>

    <div id="basic">
        <table width="" border="0" cellpadding="5" cellspacing="0" class="proptable" style="border:none">
            <tr>
                <td width="260">
                    <strong>Количество итемов на странице:</strong>
                </td>
                <td valign="top">
                    <input type="text" name="cfg[perpage]" value="<?php echo $cfg['perpage'] ?>" style="width:60px">
                </td>
            </tr>
            <tr>
                <td width="260">
                    <strong>Количество итемов на странице блоками:</strong>
                </td>
                <td valign="top">
                    <input type="text" name="cfg[perpage_block]" value="<?php echo $cfg['perpage_block'] ?>" style="width:60px">
                </td>
            </tr>
            <tr>
                <td width="260">
                    <strong>Количество мест на странице:</strong>
                </td>
                <td valign="top">
                    <input type="text" name="cfg[place_perpage]" value="<?php echo $cfg['place_perpage'] ?>" style="width:60px">
                </td>
            </tr>
        </table>
    </div>
    <div id="photos">
        <table width="" border="0" cellpadding="5" cellspacing="0" class="proptable" style="border:none">
            <tr>
                <td width="260">
                    <strong>Ширина большой картинки:</strong>
                </td>
                <td valign="top">
                    <input type="text" name="cfg[img_w]" value="<?php echo $cfg['img_w'] ?>" style="width:60px">
                </td>
            </tr>
            <tr>
                <td width="260">
                    <strong>Высота большой картинки:</strong>
                </td>
                <td valign="top">
                    <input type="text" name="cfg[img_h]" value="<?php echo $cfg['img_h'] ?>" style="width:60px">
                </td>
            </tr>
            <tr>
                <td width="260">
                    <strong>Ширина маленькой картинки:</strong>
                </td>
                <td valign="top">
                    <input type="text" name="cfg[thumb_w]" value="<?php echo $cfg['thumb_w'] ?>" style="width:60px">
                </td>
            </tr>
            <tr>
                <td width="260">
                    <strong>Высота маленькой картинки:</strong>
                </td>
                <td valign="top">
                    <input type="text" name="cfg[thumb_h]" value="<?php echo $cfg['thumb_h'] ?>" style="width:60px">
                </td>
            </tr>
        </table>
    </div>


</div>
<p>
    <input name="save" type="submit" id="save" value="<?php echo $_LANG['SAVE']; ?>" />
    <input name="back" type="button" id="back" value="<?php echo $_LANG['CANCEL']; ?>" onclick="window.location.href='index.php?view=components&do=config&id=<?php echo $id; ?>'"/>
</p>
</form>
<?php } ?>

<?php
    //////////////////////////////////////////////// итемы
if($opt=="list")
{
    echo '<h3>Мероприятия</h3>';
    $fields[] = array('title'=>'id', 'field'=>'id', 'width'=>'30');
    $fields[] = array('title'=>$_LANG['TITLE'], 'field'=>'title', 'width'=>'', 'filter'=>15, 'link'=>'?view=components&do=config&id='.$id.'&opt=edit&item_id=%id%');
    $fields[] = array('title'=>'Тип', 'field'=>'type_id', 'prc'=>'cpPosterItemTypeById');
    $actions[] = array('title'=>$_LANG['EDIT'], 'icon'=>'edit.gif', 'link'=>'?view=components&do=config&id='.$id.'&opt=edit&item_id=%id%');
    $actions[] = array('title'=>$_LANG['DELETE'], 'icon'=>'delete.gif', 'confirm'=>$_LANG['AD_BANNER_DEL_CONFIRM'], 'link'=>'?view=components&do=config&id='.$id.'&opt=delete&item_id=%id%');

    cpListTable('cms_poster_items', $fields, $actions, '', 'id DESC');
}

if($opt=="delete")
{
    $model->deleteItem($item_id);
    cmsCore::redirect('?view=components&do=config&id='.$id.'&opt=list');
}

if($opt=="add"||$opt=='edit')
{
    $item = cmsCore::request('item', 'array');

    if($item)
    {
        if($model->validateItem($item))
        {
            $itype = $model->getType($item['type_id']);
            $form_input = cmsForm::getFieldsInputValues($itype['form_id']);
            $item['formdata']  = $inDB->escape_string(cmsCore::arrayToYaml($form_input['values']));

            if($model->saveItem($item))
            {
                cmsCore::addSessionMessage('Сохранено');
                cmsCore::redirect('?view=components&do=config&id='.$id.'&opt=list');
            }
            else
                cmsCore::addSessionMessage('Ошибка!');
        }
    }

    $type_list = $model->getTypeList();

    if($opt=='add')
    {
        echo '<h3>Добавить мероприятие</h3>';
        $formsdata = cmsForm::getFieldsHtml($type_list[0]['form_id']);
    }
    else
    {
        echo '<h3>Редактировать мероприятие</h3>';
        $item = $inDB->get_fields('cms_poster_items', 'id='.$item_id, '*');
        $itype = $model->getType($item['type_id']);
        if($itype['form_id'])
            $formsdata = cmsForm::getFieldsHtml($itype['form_id'], $item['formdata']);
    }
    ?>


    <form method="post" enctype="multipart/form-data" name="optform">
            <?php if($item_id) {?>
                <input type="hidden" value="<?php echo $item_id?>" name="item[id]"/>
            <?php } ?>
            <table width="100%" cellpadding="10" class="proptable">
                <tr>
                    <td>
                        <table width="100%">
                            <tr>
                                <td>
                                    <table>
                                        <tr>
                                            <td>
                                                <strong>Название</strong>
                                                <input type="text" value="<?php echo $item['title']?>" name="item[title]" style="width: 300px"/>
                                            </td>
                                            <td>
                                                <strong>Тип</strong>
                                                <select name="item[type_id]" id="item_type">
                                                    <?php foreach ($type_list as $type) { ?>
                                                        <option data-form-id="<?php echo $type['form_id']?>" value="<?php echo $type['id']?>" <?php if($item['type_id']==$type['id']) { echo ' selected="selected"';}?>><?php echo $type['title']?></option>
                                                    <?php }?>
                                                </select>
                                                <script>
                                                    $('#item_type').change(function(){
                                                        var id = $(this).find("option:selected").attr('data-form-id');
                                                        $.ajax({
                                                            url: "/components/poster/ajax/get_form_data.php",
                                                            type: "POST",
                                                            data: {id: id},
                                                            success: function(data)
                                                            {
                                                                $('#char-data').html(data);
                                                            }
                                                        });

                                                        return false;
                                                    });
                                                </script>
                                            </td>
                                            <td>
                                                <strong>Премьера</strong>
                                                <input type="checkbox" name="item[is_premier]" <?php if($item['is_premier']){?>checked="checked"<?php }?>/>
                                            </td>
                                        </tr>
                                    </table>
                                    <table>
                                        <tr>
                                            <td><strong>Год выпуска</strong></td>
                                            <td><input type="text" value="<?php echo $item['info_year']?>" name="item[info_year]"/></td>
                                            <td><strong>Страна</strong></td>
                                            <td><input type="text" value="<?php echo $item['info_country']?>" name="item[info_country]"/></td>
                                            <td><strong>Жанр</strong></td>
                                            <td><input type="text" value="<?php echo $item['info_genre']?>" name="item[info_genre]"/></td>
                                            <td><strong>Минимальный возраст</strong></td>
                                            <td><input type="text" value="<?php echo $item['info_age']?>" name="item[info_age]"/></td>
                                            <td><strong>В ролях</strong></td>
                                            <td><textarea name="item[info_roles]" id="" style="height: 30px"><?php echo $item['[info_roles']?></textarea></td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <strong>Описание</strong>
                                    <div><?php $inCore->insertEditor('item[description]', $item['description'], '200', '100%'); ?></div>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <strong>Обзор</strong>
                                    <div><?php $inCore->insertEditor('item[review]', $item['review'], '200', '100%'); ?></div>
                                </td>
                            </tr>
                        </table>
                    </td>
                    <td valign="top" width="250">
                        <table>

                            <tr>
                                <td>
                                    <strong>Изображение</strong>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <input type="file" name="image"/>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <strong>Дополнительные изображение</strong>
                                    <div>
                                        <input type="file" class="multi" name="upfile[]" id="upfile"/>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <?php if($item['images']) {?>
                                        <div id="images">
                                            <?php  foreach (unserialize($item['images']) as $image) { ?>
                                                <div class="image-block" style="float: left">
                                                    <div>
                                                        <a href="/images/poster/medium/<?php echo $image;?>" class="lightbox-enabled" rel="lightbox-galery"><img src="/images/poster/small/<?php echo $image;?>" alt="" width="60"/></a>
                                                    </div>
                                                    <a href="#" data-item="<?php echo $item['id'];?>" data-name="<?php echo $image;?>" class="delete-img">Удалить</a>
                                                </div>
                                            <?php } ?>
                                            <div class="clear"></div>
                                        </div>
                                        <script>
                                            $('a.delete-img').click(function(e){
                                                var img = $(this).attr('data-name');
                                                var id = $(this).attr('data-item');
                                                var block = $(this).parents('div.image-block');
                                                $.ajax({
                                                    url: "/components/poster/ajax/del_img.php",
                                                    type: "POST",
                                                    data: { image: img, id: id, target: "item" },
                                                    success: function(data)
                                                    {
                                                        if(data=='ok')
                                                        {
                                                            $(block).fadeOut();
                                                        }
                                                    }
                                                });

                                                return false;
                                            });
                                        </script>
                                    <?php }?>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <h3>SEO</h3>
                                </td>
                            </tr>
                            <tr>
                                <td><strong>Description</strong></td>
                            </tr>
                            <tr>
                                <td>
                                    <textarea name="item[meta_desc]"><?php echo $item['meta_desc']?></textarea>
                                </td>
                            </tr>
                            <tr>
                                <td><strong>Keywords</strong></td>
                            </tr>
                            <tr>
                                <td>
                                    <textarea name="item[meta_key]""><?php echo $item['meta_key']?></textarea>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>

            <div>
                <h3>Дополнительная информация</h3>
                <div id="char-data">
                    <?php
                    foreach($formsdata as $form)
                    { ?>
                        <div>
                            <span><?php echo $form['title']?><span>
                            <div style="color:gray"><?php echo $form['description']?></div>
                            <?php echo $form['field']?>
                        </div>
                    <?php }?>
                </div>
            </div>

        <div>
            <h3>Видеоролики</h3>
            <?php
            if($item_id)
            { ?>
                <a href="index.php?view=components&do=config&id=<?php echo $id; ?>&item_id=<?php echo $item_id?>&opt=add_video">Добавить ролик</a>
                <div></div>
                <?php $videos = $model->getItemVideos($item_id);

                if($videos) {?>
                    <?php foreach($videos as $video) {?>

                        <div style="display: inline-block" class="v-block">
                            <iframe width="200" height="120" src="http://www.youtube.com/embed/<?php echo $video['code']?>" frameborder="0" allowfullscreen></iframe>
                            <div><a href="#" class="del-video" data-id="<?php echo $item_id?>" data-video-id="<?php echo $video['id']?>">Удалить видео</a></div>
                        </div>
                    <?php }?>

                    <script>
                        $('a.del-video').click(function(e){
                            var id = $(this).attr('data-id');
                            var video_id = $(this).attr('data-video-id');
                            var block = $(this).parents('div.v-block');
                            $.ajax({
                                url: "/components/poster/ajax/del_video.php",
                                type: "POST",
                                data: { id: id, video_id: video_id },
                                success: function(data)
                                {
                                    $(block).fadeOut();
                                }
                            });

                            return false;
                        });
                    </script>
                <?php }}?>
        </div>
        <p>
            <input name="save" type="submit" id="save" value="<?php echo $_LANG['SAVE']; ?>" />
            <input name="back" type="button" id="back" value="<?php echo $_LANG['CANCEL']; ?>" onclick="window.location.href='index.php?view=components&do=config&id=<?php echo $id; ?>'"/>
        </p>
    </form>
    <?php } ?>


<?php
//////////////////////////////////////////////////// ТИПЫ итемов
if($opt=="type_list")
{
    echo '<h3>Типы мероприятий</h3>';
    $fields[] = array('title'=>'id', 'field'=>'id', 'width'=>'30');
    $fields[] = array('title'=>$_LANG['TITLE'], 'field'=>'title', 'width'=>'', 'filter'=>15, 'link'=>'?view=components&do=config&id='.$id.'&opt=edit_type&item_id=%id%');

    $actions[] = array('title'=>$_LANG['EDIT'], 'icon'=>'edit.gif', 'link'=>'?view=components&do=config&id='.$id.'&opt=edit_type&item_id=%id%');
    $actions[] = array('title'=>$_LANG['DELETE'], 'icon'=>'delete.gif', 'confirm'=>$_LANG['AD_BANNER_DEL_CONFIRM'], 'link'=>'?view=components&do=config&id='.$id.'&opt=delete_type&item_id=%id%');

    cpListTable('cms_poster_type', $fields, $actions, '', 'id DESC');
}
if($opt=="add_type"||$opt=="edit_type")
{
    $item = cmsCore::request('type', 'array');
    if($item)
    {
        if($model->validateType($item))
        {
            if($model->saveType($item))
            {
                cmsCore::addSessionMessage('Сохранено');
                cmsCore::redirect('?view=components&do=config&id='.$id.'&opt=type_list');
            }

            else
                cmsCore::addSessionMessage('Ошибка!');
        }
    }

    if($opt=='add_type')
        echo '<h3>Добавить тип</h3>';
    else
    {
        echo '<h3>Редактировать тип</h3>';
        $item = $inDB->get_fields('cms_poster_type', 'id='.$item_id, '*');
    }

    $forms = $inDB->get_table('cms_forms', '1', '*');

    ?>
    <form method="post" enctype="multipart/form-data" name="optform">
            <?php if($item_id) {?>
            <input type="hidden" value="<?php echo $item_id?>" name="type[id]"/>
            <?php } ?>
            <table width="100%" cellpadding="10"  class="proptable">
                <tr>
                    <td>
                        <table width="100%">
                            <tr>
                                <td>
                                    <strong>Название</strong>
                                    <input type="text" value="<?php echo $item['title']?>" name="type[title]"/>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <strong>Привязать форму</strong>
                                    <select name="type[form_id]" id="">
                                        <option value=""  <?php if($item['form_id']==''){?> selected="selected" <?php }?>>Без формы</option>
                                        <?php foreach($forms as $fdata) {?>
                                            <option value="<?php echo $fdata['id'] ?>" <?php if($item['form_id']==$fdata['id']){?> selected="selected" <?php }?>><?php echo $fdata['title']?></option>
                                        <?php }?>
                                    </select>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <strong>Описание</strong>
                                    <div><?php $inCore->insertEditor('type[description]', $item['description'], '400', '100%'); ?></div>
                                </td>
                            </tr>
                        </table>
                    </td>
                    <td valign="top" width="250">
                        <table>
                            <tr>
                                <td>
                                    <strong>Изображение</strong>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <input type="file" name="image"/>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <h3>SEO</h3>
                                </td>
                            </tr>
                            <tr>
                                <td><strong>Description</strong></td>
                            </tr>
                            <tr>
                                <td>
                                    <textarea name="type[meta_desc]"><?php echo $item['meta_desc']?></textarea>
                                </td>
                            </tr>
                            <tr>
                                <td><strong>Keywords</strong></td>
                            </tr>
                            <tr>
                                <td>
                                    <textarea name="type[meta_key]""><?php echo $item['meta_key']?></textarea>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        <p>
            <input name="save" type="submit" id="save" value="<?php echo $_LANG['SAVE']; ?>" />
            <input name="back" type="button" id="back" value="<?php echo $_LANG['CANCEL']; ?>" onclick="window.location.href='index.php?view=components&do=config&id=<?php echo $id; ?>'"/>
        </p>
        </form>
<?php
}
//////////////////////////////////////////////////// ТИПЫ мест
if($opt=="place_type_list")
{
    echo '<h3>Типы мест</h3>';
    $fields[] = array('title'=>'id', 'field'=>'id', 'width'=>'30');
    $fields[] = array('title'=>$_LANG['TITLE'], 'field'=>'title', 'width'=>'', 'filter'=>15, 'link'=>'?view=components&do=config&id='.$id.'&opt=edit_place_type&item_id=%id%');

    $actions[] = array('title'=>$_LANG['EDIT'], 'icon'=>'edit.gif', 'link'=>'?view=components&do=config&id='.$id.'&opt=edit_place_type&item_id=%id%');
    $actions[] = array('title'=>$_LANG['DELETE'], 'icon'=>'delete.gif', 'confirm'=>$_LANG['AD_BANNER_DEL_CONFIRM'], 'link'=>'?view=components&do=config&id='.$id.'&opt=delete_place_type&item_id=%id%');

    cpListTable('cms_poster_place_type', $fields, $actions, '', 'id DESC');
}

if($opt=="add_place_type"||$opt=="edit_place_type")
{
    $item = cmsCore::request('type', 'array');
    if($item)
    {
        if($model->validateType($item))
        {
            if($model->savePlaceType($item))
            {
                cmsCore::addSessionMessage('Сохранено');
                cmsCore::redirect('?view=components&do=config&id='.$id.'&opt=place_type_list');
            }
            else
                cmsCore::addSessionMessage('Ошибка!');
        }
    }

    if($opt=='add_place_type')
        echo '<h3>Добавить тип</h3>';
    else
    {
        echo '<h3>Редактировать тип</h3>';
        $item = $inDB->get_fields('cms_poster_place_type', 'id='.$item_id, '*');
    }

    ?>
    <form method="post" enctype="multipart/form-data" name="optform">
            <?php if($item_id) {?>
                <input type="hidden" value="<?php echo $item_id?>" name="type[id]"/>
            <?php } ?>
            <table width="100%" cellpadding="10"  class="proptable">
                <tr>
                    <td>
                        <table width="100%">
                            <tr>
                                <td>
                                    <strong>Название</strong>
                                    <input type="text" value="<?php echo $item['title']?>" name="type[title]"/>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <strong>Описание</strong>
                                    <div><?php $inCore->insertEditor('type[description]', $item['description'], '400', '100%'); ?></div>
                                </td>
                            </tr>
                        </table>
                    </td>
                    <td valign="top" width="250">
                        <table>
                            <tr>
                                <td>
                                    <h3>SEO</h3>
                                </td>
                            </tr>
                            <tr>
                                <td><strong>Description</strong></td>
                            </tr>
                            <tr>
                                <td>
                                    <textarea name="type[meta_desc]"><?php echo $item['meta_desc']?></textarea>
                                </td>
                            </tr>
                            <tr>
                                <td><strong>Keywords</strong></td>
                            </tr>
                            <tr>
                                <td>
                                    <textarea name="type[meta_key]""><?php echo $item['meta_key']?></textarea>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        <p>
            <input name="save" type="submit" id="save" value="<?php echo $_LANG['SAVE']; ?>" />
            <input name="back" type="button" id="back" value="<?php echo $_LANG['CANCEL']; ?>" onclick="window.location.href='index.php?view=components&do=config&id=<?php echo $id; ?>'"/>
        </p>
        </form>
<?php
}
////////////////////////////////////////////////////////////////////// места
if($opt=="place")
{
    echo '<h3>Места</h3>';
    $fields[] = array('title'=>'id', 'field'=>'id', 'width'=>'30');
    $fields[] = array('title'=>$_LANG['TITLE'], 'field'=>'title', 'width'=>'', 'filter'=>15, 'link'=>'?view=components&do=config&id='.$id.'&opt=edit_place&item_id=%id%');
    $fields[] = array('title'=>'Адрес', 'field'=>'address', 'width'=>'', 'filter'=>15);
    $fields[] = array('title'=>'Город', 'field'=>'city', 'width'=>'', 'filter'=>15);

    $actions[] = array('title'=>$_LANG['EDIT'], 'icon'=>'edit.gif', 'link'=>'?view=components&do=config&id='.$id.'&opt=edit_place&item_id=%id%');
    $actions[] = array('title'=>$_LANG['DELETE'], 'icon'=>'delete.gif', 'confirm'=>$_LANG['AD_BANNER_DEL_CONFIRM'], 'link'=>'?view=components&do=config&id='.$id.'&opt=delete_place&item_id=%id%');

    cpListTable('cms_poster_place', $fields, $actions, '', 'id DESC');
}

if($opt=="delete_place")
{
    $model->deletePlace($item_id);
    cmsCore::redirect('?view=components&do=config&id='.$id.'&opt=place');
}

if($opt=="add_place"||$opt=="edit_place")
{
    $item = cmsCore::request('item', 'array');
    if($item)
    {
        if($model->validatePlace($item))
        {
            if($model->savePlace($item))
            {
                cmsCore::addSessionMessage('Сохранено');
                cmsCore::redirect('?view=components&do=config&id='.$id.'&opt=place');
            }

            else
                cmsCore::addSessionMessage('Ошибка!');
        }
    }
    $type_list = $model->getPlaceTypeList();

    if($opt=='add_place')
        echo '<h3>Добавить место</h3>';
    else
    {
        echo '<h3>Редактировать место</h3>';
        $item = $inDB->get_fields('cms_poster_place', 'id='.$item_id, '*');
    }

    ?>
    <form method="post" enctype="multipart/form-data" name="optform">
            <?php if($item_id) {?>
                <input type="hidden" value="<?php echo $item_id?>" name="item[id]"/>
            <?php } ?>
            <table width="100%"  class="proptable">
                <tr>
                    <td valign="top">
                        <table width="100%">
                            <tr>
                                <td>
                                    <strong>Название</strong>
                                    <input type="text" value="<?php echo $item['title']?>" name="item[title]"/>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <strong>Тип</strong>
                                    <select name="item[type_id]" id="">
                                        <?php foreach ($type_list as $type) { ?>
                                            <option value="<?php echo $type['id']?>" <?php if($item['type_id']==$type['id']) { echo ' selected="selected"';}?>><?php echo $type['title']?></option>
                                        <?php }?>
                                    </select>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <strong>Описание</strong>
                                    <div><?php $inCore->insertEditor('item[description]', $item['description'], '400', '100%'); ?></div>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <strong>Город:</strong>
                                    <input type="text" name="item[city]" value="<?php echo $item['city']?>"/>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <strong>Адрес</strong>
                                    <div><textarea name="item[address]" id="" cols="50" rows="3"><?php echo $item['address']?></textarea></div>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <strong>Информация (график работы)</strong>
                                    <div>
                                        <textarea name="item[info]" id="" cols="30" rows="10"><?php echo $item['info'] ?></textarea></div>
                                </td>
                            </tr>
                        </table>
                    </td>
                    <td width="200" valign="top">
                        <table>
                            <tr>
                                <td>
                                    <h3>SEO</h3>
                                </td>
                            </tr>
                            <tr>
                                <td><strong>Description</strong></td>
                            </tr>
                            <tr>
                                <td>
                                    <textarea name="item[meta_desc]"><?php echo $item['meta_desc']?></textarea>
                                </td>
                            </tr>
                            <tr>
                                <td><strong>Keywords</strong></td>
                            </tr>
                            <tr>
                                <td>
                                    <textarea name="item[meta_key]""><?php echo $item['meta_key']?></textarea>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2"><h3>Изображения</h3></td>
                            </tr>
                            <tr>
                                <td>
                                    <strong>Главное изображение</strong>
                                    <div>
                                        <input type="file" name="image"/>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <strong>Дополнительные изображение</strong>
                                    <div>
                                        <input type="file" class="multi" name="upfile[]" id="upfile"/>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <?php if($item['images']) {?>
                                        <div id="images">
                                            <?php  foreach (unserialize($item['images']) as $image) { ?>
                                                <div class="image-block">
                                                    <div>
                                                        <a href="/images/poster/medium/<?php echo $image;?>" class="lightbox-enabled" rel="lightbox-galery"><img src="/images/poster/small/<?php echo $image;?>" alt=""/></a>
                                                    </div>
                                                    <a href="#" data-item="<?php echo $item['id'];?>" data-name="<?php echo $image;?>" class="delete-img">Удалить изображение</a>
                                                </div>
                                            <?php } ?>
                                        </div>
                                        <script>
                                            $('a.delete-img').click(function(e){
                                                var img = $(this).attr('data-name');
                                                var id = $(this).attr('data-item');
                                                var block = $(this).parents('div.image-block');
                                                $.ajax({
                                                    url: "/components/poster/ajax/del_img.php",
                                                    type: "POST",
                                                    data: { image: img, id: id, target: "place" },
                                                    success: function(data)
                                                    {
                                                        if(data=='ok')
                                                        {
                                                            $(block).fadeOut();
                                                        }
                                                    }
                                                });

                                                return false;
                                            });
                                        </script>
                                    <?php }?>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>

            </table>
        <p>
            <input name="save" type="submit" id="save" value="<?php echo $_LANG['SAVE']; ?>" />
            <input name="back" type="button" id="back" value="<?php echo $_LANG['CANCEL']; ?>" onclick="window.location.href='index.php?view=components&do=config&id=<?php echo $id; ?>'"/>
        </p>
        </form>
<?php
}
///////// schedule ///////////////////////////////////////////////////

if($opt=="schedule_list")
{
    echo '<h3>Сеансы</h3>';
    $fields[] = array('title'=>'id', 'field'=>'id', 'width'=>'30');

    $fields[] = array('title'=>'Мероприятие', 'field'=>'item_id', 'prc'=>'cpPosterItemById');
    $fields[] = array('title'=>'Место мероприятия', 'field'=>'place_id', 'prc'=>'cpPosterPlaceById');

    $fields[] = array('title'=>'Дата начала', 'field'=>'start_date', 'width'=>'', 'filter'=>15, 'fdate'=>'%d.%m.%Y');
    $fields[] = array('title'=>'Дата завершения', 'field'=>'end_date', 'width'=>'', 'filter'=>15, 'fdate'=>'%d.%m.%Y');
    $fields[] = array('title'=>'Цена', 'field'=>'price', 'width'=>'', 'filter'=>15);

    $actions[] = array('title'=>$_LANG['EDIT'], 'icon'=>'edit.gif', 'link'=>'?view=components&do=config&id='.$id.'&opt=edit_schedule&item_id=%id%');
    $actions[] = array('title'=>$_LANG['DELETE'], 'icon'=>'delete.gif', 'confirm'=>$_LANG['AD_BANNER_DEL_CONFIRM'], 'link'=>'?view=components&do=config&id='.$id.'&opt=delete_schedule&item_id=%id%');

    cpListTable('cms_poster_schedule', $fields, $actions, '', 'id DESC');
}

if($opt=="add_schedule"||$opt=="edit_schedule")
{
    $item = cmsCore::request('item', 'array');
    if($item)
    {
        if($model->validateSchedule($item))
        {
            if($model->saveSchedule($item))
            {
                cmsCore::addSessionMessage('Сохранено');
                cmsCore::redirect('?view=components&do=config&id='.$id.'&opt=schedule_list');
            }
            else
                cmsCore::addSessionMessage('Ошибка!');
        }
    }

    $items = $inDB->get_table('cms_poster_items', 'is_visible=1', 'title, id');
    $places = $inDB->get_table('cms_poster_place', '1=1', 'title, id');

    if($opt=='add_schedule')
        echo '<h3>Добавить расписание</h3>';
    else
    {
        echo '<h3>Редактировать расписание</h3>';
        $item = $inDB->get_fields('cms_poster_schedule', 'id='.$item_id, '*');
    }

    ?>
    <script src="/includes/jqueryui/init-ui.js"></script>
    <form method="post" enctype="multipart/form-data" name="optform">
        <?php if($item_id) {?>
            <input type="hidden" value="<?php echo $item_id?>" name="item[id]"/>
        <?php } ?>
        <table width="100%" cellpadding="10"  class="proptable">
            <tr>
                <td>
                    <table width="100%">
                        <tr>
                            <td style="width: 300px">
                                <strong>Мероприятие</strong>
                                <select name="item[item_id]" id="">
                                    <?php foreach ($items as $it) { ?>
                                        <option value="<?php echo $it['id']?>" <?php if($it['id']==$item['item_id']) { echo ' selected="selected"';}?>><?php echo $it['title']?></option>
                                    <?php }?>
                                </select>
                            </td>
                            <td>
                                <strong>Место проведения</strong>
                                <select name="item[place_id]" id="">
                                    <?php foreach ($places as $it) { ?>
                                        <option value="<?php echo $it['id']?>" <?php if($it['id']==$item['place_id']) { echo ' selected="selected"';}?>><?php echo $it['title']?></option>
                                    <?php }?>
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <strong>Дата начала</strong>
                                <div>
                                    <input type="text" name="item[start_date]" value="<?php echo date('d.m.Y', strtotime($item['start_date']))?>" id="pubdate"/>
                                </div>
                            </td>
                            <td>
                                <strong>Дата завершения</strong>
                                <div>
                                    <input type="text" name="item[end_date]" value="<?php echo date('d.m.Y', strtotime($item['end_date']))?>" id="enddate"/>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <strong>Цена</strong>
                                <div><input type="text" name="item[price]" value="<?php echo $item['price']?>"/></div>
                            </td>
                            <td></td>
                        </tr>
                        <tr>
                            <td>
                                <strong>Сеансы</strong>
                                <div>
                                    <textarea name="item[schedule]" id=""><?php echo $item['schedule']?></textarea>
                                </div>
                              </td>
                            <td></td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
        <p>
            <input name="save" type="submit" id="save" value="<?php echo $_LANG['SAVE']; ?>" />
            <input name="back" type="button" id="back" value="<?php echo $_LANG['CANCEL']; ?>" onclick="window.location.href='index.php?view=components&do=config&id=<?php echo $id; ?>'"/>
        </p>
    </form>
<?php
}

if($opt=="delete_schedule")
{
    $model->deleteSchedule($item_id);
    cmsCore::redirect('?view=components&do=config&id='.$id.'&opt=schedule_list');
}
//////////////////////////////////////////////////////////////////////////
if($opt=="add_video")
{
    $item = cmsCore::request('video', 'array');

    if($item)
    {
        if($model->validateVideo($item))
        {
            $item['item_id'] = $item_id;
            $model->saveVideo($item);
            cmsCore::redirect('index.php?view=components&do=config&id='.$id.'&opt=edit&item_id='.$item_id);
        }
    }


    ?>
<form method="post" enctype="multipart/form-data" name="optform">
    <h3>Добавить видео</h3>
    <table width="100%" cellpadding="10"  class="proptable">
        <tr>
            <td width="200">
                <label for="">Название</label>
            </td>
            <td>
                <input video="text" name="video[title]"/>
            </td>
        </tr>
        <tr>
            <td width="200">
                <label for="">Провайдер</label>
            </td>
            <td>
                <select name="video[provider]" id="">
                    <option value="yuotube">YouTube</option>
                </select>
            </td>
        </tr>
        <tr>
            <td width="200">Ссылка на видео</label>
            </td>
            <td>
                <input video="text" name="video[code]"/>
            </td>
        </tr>
    </table>
    <p>
        <input name="save" type="submit" id="save" value="<?php echo $_LANG['SAVE']; ?>" />
        <input name="back" type="button" id="back" value="<?php echo $_LANG['CANCEL']; ?>" onclick="window.location.href='index.php?view=components&do=config&id=<?php echo $id; ?>'"/>
    </p>
</form>


<?php }
if($opt=="delete_type")
{
    $model->deleteItemType($item_id);
    cmsCore::redirect('?view=components&do=config&id='.$id.'&opt=type_list');
}

if($opt=="delete_place_type")
{
    $model->deletePlaceType($item_id);
    cmsCore::redirect('?view=components&do=config&id='.$id.'&opt=place_type_list');
}