<?php
/**
 * Created by PhpStorm.
 * User: yurik_maz
 * Date: 10.01.14
 * Time: 12:42
 */
define('PATH', $_SERVER['DOCUMENT_ROOT']);
include(PATH.'/core/ajax/ajax_core.php');

$inCore->loadModel('poster');
$model = new cms_model_poster();

$inDB   = cmsDatabase::getInstance();
$inUser = cmsUser::getInstance();

$month = $inCore->request('mes', 'int');
$year = $inCore->request('ano', 'int');

$m_days =  date("t", strtotime($month.'/1/'.$year));

$start =  date('Y-m-d', strtotime($month.'/1/'.$year));
$end  = date('Y-m-d', strtotime($month.'/'.$m_days.'/'.$year));

$items = array();

for ($i = 1; $i <= $m_days; $i++) {
    $date = date('Y-m-d', strtotime($month.'/'.$i.'/'.$year));

    $sql = "
        SELECT id
        FROM cms_poster_schedule s
        WHERE
        DATE_FORMAT(s.start_date, '%Y-%m-%d')<='{$date}' AND DATE_FORMAT(s.end_date, '%Y-%m-%d')>='{$date}'
        GROUP BY s.item_id
    ";

    $result = $inDB->query($sql);
    $count = $inDB->num_rows($result);
    if ($count)
    {
        if($count==1) $title = ' событие';
        if($count>=2&&$count<5)  $title = ' события';
        if($count>=5)  $title = ' событий';
        $items[] = array(
            'color'=>'grey',
            'date'=>$i.'/'.$month.'/'.$year,
            'title'=>$count.$title,
        );
    }
}

echo json_encode($items);