<?php
function mod_poster_premiers($module_id, $cfg){

    $inDB = cmsDatabase::getInstance();
    $inPage = cmsPage::getInstance();
    cmsCore::loadModel('poster');
    $model = new cms_model_poster();

    if(!$cfg['count'])                  $cfg['count']= 10;
    if(!$cfg['type'])                   $cfg['type']= 0;
    if(!$cfg['slider_count'])           $cfg['slider_count']= 3;
    if(!$cfg['slider_count_slide'])     $cfg['slider_count_slide']= 1;
    if(!$cfg['slider_type'])            $cfg['slider_type']= 1;

    $inDB->where = 'i.is_premier = 1';
    if($cfg['type'])
        $inDB->where.=' AND i.type_id='.$cfg['type'];
    $inDB->limit = $cfg['count'];
    $inDB->order_by = 'ORDER BY RAND()';

    $items = $model->getItems();

    $inPage->addHeadJS('components/poster/js/jquery.carouFredSel-6.2.1-packed.js');

    cmsPage::initTemplate('modules', 'mod_poster_premiers')->
        assign('items', $items)->
        assign('cfg', $cfg)->
        display('mod_poster_premiers.tpl');

    return true;
}
