<?php
function mod_poster_top($module_id, $cfg){

    $inDB = cmsDatabase::getInstance();
    $inPage = cmsPage::getInstance();
    cmsCore::loadModel('poster');
    $model = new cms_model_poster();

    if(!$cfg['count'])                  $cfg['count']= 10;
    if(!$cfg['type'])                   $cfg['type']= 1;

    $inDB->limit = $cfg['count'];

    $items = array();

    if($cfg['type']==1)
    {
        $inDB->where = 'i.rating!=0';
        $inDB->order_by = 'ORDER BY i.rating DESC';
        $items = $model->getItems();
    }
    else
    {
        $sql = "SELECT
                i.*,
                t.title as type_title,
                t.seo_link as type_seo_link,
                COUNT(v.id) AS v_count
                FROM cms_poster_items i
                LEFT JOIN cms_poster_type t ON i.type_id = t.id
                LEFT JOIN cms_poster_visited v ON i.id = v.item_id
                WHERE
                i.is_visible=1
                GROUP BY i.id
                ORDER BY v_count DESC
                LIMIT {$cfg['count']}
                 ";

        $result = $inDB->query($sql);
        $inDB->resetConditions();

        if (!$inDB->num_rows($result))  return false;

        while ($item = $inDB->fetch_assoc($result)){
            $item['image']    = (file_exists(PATH.'/images/poster/small/poster_item_'.$item['id'].'.jpg') ? '/images/poster/small/poster_item_'.$item['id'].'.jpg' : '');
            $items[] = $item;
        }
    }

    cmsPage::initTemplate('modules', 'mod_poster_top')->
        assign('items', $items)->
        assign('cfg', $cfg)->
        display('mod_poster_top.tpl');

    return true;
}
