<?php
function mod_poster_views($module_id, $cfg){

    $inDB = cmsDatabase::getInstance();
    cmsCore::loadModel('poster');
    $model = new cms_model_poster();

    if(!$cfg['count'])                  $cfg['count']= 10;
    if(!$cfg['type'])                   $cfg['type']= 1;

    $inDB->limit = $cfg['count'];
    if($cfg['type']==2)
        $items = $model->getAllSchedules(false);
    else
    {
        $type_list = $model->getTypeList();

        $items = array();

        foreach($type_list as $type)
        {
            $posters = $model->getNawShowItemsByType($type['id']);
            if($posters)
            {
                $item['type'] = $type['title'];
                $item['type_seo_link'] = "/poster/".$type['seo_link'];
                $item['count'] = count($posters);
                $item['items'] = $posters;

                $items[] = $item;
            }
        }
    }

    cmsPage::initTemplate('modules', 'mod_poster_views')->
        assign('items', $items)->
        assign('cfg', $cfg)->
        display('mod_poster_views.tpl');

    return true;
}
