<h1 class="con_heading">{if $item.id}Редактировать{else}Добавить{/if} афишу</h1>
<form action="/poster/add" enctype="multipart/form-data" method="post">
    {if $item.id}
        <input type="hidden" value="{$item.id}" name="item[id]"/>
    {/if}
    <input type="hidden" value="{$item.user_id}" name="item[user_id]"/>
    <table width="100%">
        <tr>
            <td colspan="2"><h3>Основная информация</h3></td>
        </tr>
        <tr>
            <td width="200">
                <label for="">Название</label>
            </td>
            <td>
                <input type="text" value="{$item.title}" name="item[title]"/>
            </td>
        </tr>
        <tr>
            <td>
                <label for="">Тип</label>
            </td>
            <td>
                <select name="item[type_id]" id="">
                    {foreach key=tid item=type from=$type_list}
                        <option value="{$type.id}" {if $item.type_id==$type.id}selected="selected"{/if}>{$type.title}</option>
                    {/foreach}
                </select>
            </td>
        </tr>
        <tr>
            <td>
                <label for="">Описание</label>
            </td>
            <td>
                <div>{wysiwyg name='item[description]' value=$item.description height=200 width='100%'}</div>
            </td>
        </tr>
        <tr>
            <td>
                <label for="">Обзор</label>
            </td>
            <td>
                <div>{wysiwyg name='item[review]' value=$item.review height=200 width='100%'}</div>
            </td>
        </tr>
        <tr>
            <td><label for="">Дата начала</label></td>
            <td><input type="text" value="{$item.start_date}" name="item[start_date]" id="pubdate"/></td>
        </tr>
        <tr>
            <td><label for="">Дата завершения</label></td>
            <td><input type="text" value="{$item.end_date}" name="item[end_date]" id="enddate"/></td>
        </tr>
        <tr>
            <td>
                <label for="">Премьера</label>
            </td>
            <td>
                <input type="checkbox" name="item[is_premier]" {if $item.is_premier}checked="checked"{/if}/>
            </td>
        </tr>
        <tr>
            <td colspan="2"><h3>Изображения</h3></td>
        </tr>
        <tr>
            <td>
                <label for="">Главное изображение</label>
            </td>
            <td>
                <div>
                    <input type="file" name="image"/>
                </div>
            </td>
        </tr>
        <tr>
            <td>
                <label for="">Дополнительные изображение</label>
            </td>
            <td>
                <div>
                    <input type="file" class="multi" name="upfile[]" id="upfile"/>
                </div>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                {if $item.images}
                    <div id="images">
                        {foreach key=tid item=image from=$item.images}
                            <div class="image-block">
                                <div>
                                    <a href="/images/poster/medium/{$image}" class="lightbox-enabled" rel="lightbox-galery" title="{$item.title|escape:'html'}"><img src="/images/poster/small/{$image}" alt=""/></a>
                                </div>
                                <a href="#" data-item="{$item.id}" data-name="{$image}" class="delete-img">Удалить изображение</a>
                            </div>
                       {/foreach}
                    </div>
                {/if}
            </td>
        </tr>
        <tr>
            <td colspan="2"><h3>Дополнительная информация</h3></td>
        </tr>
        <tr>
            <td><label for="">Год выпуска</label></td>
            <td><input type="text" value="{$item.info_year}" name="item[info_year]"/></td>
        </tr>
        <tr>
            <td><label for="">Страна</label></td>
            <td><input type="text" value="{$item.info_country}" name="item[info_country]"/></td>
        </tr>
        <tr>
            <td><label for="">Жанр</label></td>
            <td><input type="text" value="{$item.info_genre}" name="item[info_genre]"/></td>
        </tr>
        <tr>
            <td><label for="">Минимальный возраст</label></td>
            <td><input type="text" value="{$item.info_age}" name="item[info_age]"/></td>
        </tr>
        <tr>
            <td><label for="">В ролях</label></td>
            <td><textarea name="item[info_roles]" id="" rows="5">{$item.info_roles}</textarea></td>
        </tr>
        <tr>
            <td>
                <input type="submit"/>
            </td>
            <td></td>
        </tr>
    </table>
</form>

{literal}
    <script>
        $('a.delete-img').click(function(e){
            var img = $(this).attr('data-name');
            var id = $(this).attr('data-item');
            var block = $(this).parents('div.image-block');
            $.ajax({
                url: "/components/poster/ajax/del_img.php",
                type: "POST",
                data: { image: img, id: id, target: "item" },
                success: function(data)
                {
                    if(data=='ok')
                    {
                        $(block).fadeOut();
                    }
                }
            });

            return false;
        });
    </script>
{/literal}
