<h1 class="con_heading">{if $item.id}Редактировать{else}Добавить{/if} место</h1>
<form enctype="multipart/form-data" method="post">
    {if $item.id}
        <input type="hidden" value="{$item.id}" name="item[id]"/>
    {/if}
    <table width="100%">
        <tr>
            <td colspan="2"><h3>Основная информация</h3></td>
        </tr>
        <tr>
            <td width="200">
                <label for="">Название</label>
            </td>
            <td>
                <input type="text" value="{$item.title}" name="item[title]"/>
            </td>
        </tr>
        <tr>
            <td>
                <label for="">Тип</label>
            </td>
            <td>
                <select name="item[type_id]" id="">
                    {foreach key=tid item=type from=$type_list}
                        <option value="{$type.id}" {if $item.type_id==$type.id}selected="selected"{/if}>{$type.title}</option>
                    {/foreach}
                </select>
            </td>
        </tr>
        <tr>
            <td>
                <label for="">Описание</label>
            </td>
            <td>
                <div>{wysiwyg name='item[description]' value=$item.description height=200 width='100%'}</div>
            </td>
        </tr>
        <tr>
            <td><label for="">Город:</label></td>
            <td>{city_input value=$item.city name="item[city]" width="100%"}</td>
        </tr>
        <tr>
            <td>
                <label for="">Адрес</label>
            </td>
            <td>
                <div><textarea name="item[address]" id="" cols="50" rows="3">{$item.address}</textarea></div>
            </td>
        </tr>
        <tr>
            <td>
                <label for="">Информация (график работы)</label>
            </td>
            <td>
                <div>{wysiwyg name='item[info]' value=$item.info height=200 width='100%'}</div>
            </td>
        </tr>
        <tr>
            <td colspan="2"><h3>Изображения</h3></td>
        </tr>
        <tr>
            <td>
                <label for="">Главное изображение</label>
            </td>
            <td>
                <div>
                    <input type="file" name="image"/>
                </div>
            </td>
        </tr>
        <tr>
            <td>
                <label for="">Дополнительные изображение</label>
            </td>
            <td>
                <div>
                    <input type="file" class="multi" name="upfile[]" id="upfile"/>
                </div>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                {if $item.images}
                    <div id="images">
                        {foreach key=tid item=image from=$item.images}
                            <div class="image-block">
                                <div>
                                    <a href="/images/poster/medium/{$image}" class="lightbox-enabled" rel="lightbox-galery" title="{$item.title|escape:'html'}"><img src="/images/poster/small/{$image}" alt=""/></a>
                                </div>
                                <a href="#" data-item="{$item.id}" data-name="{$image}" class="delete-img">Удалить изображение</a>
                            </div>
                        {/foreach}
                    </div>
                {/if}
            </td>
        </tr>
        <tr>
            <td>
                <input type="submit"/>
            </td>
            <td></td>
        </tr>
    </table>
</form>
{literal}
    <script>
        $('a.delete-img').click(function(e){
            var img = $(this).attr('data-name');
            var id = $(this).attr('data-item');
            var block = $(this).parents('div.image-block');
            $.ajax({
                url: "/components/poster/ajax/del_img.php",
                type: "POST",
                data: { image: img, id: id, target: "place" },
                success: function(data)
                {
                    if(data=='ok')
                    {
                        $(block).fadeOut();
                    }
                }
            });

            return false;
        });
    </script>
{/literal}