{add_js file='components/poster/js/rating/jquery.rating.js'}
{add_css file='components/poster/js/rating/jquery.rating_place.css'}

<h1 class="con_heading">Места</h1>

<div style="margin-bottom: 20px">
    <form method="post">
        <label for="">Показать в городе</label>
        <select name="filter[city]" id="">
            <option value="">Неважно</option>
            {foreach key=tid item=city from=$cities}
                <option value="{$city.city}" {if $filter.city==$city.city}selected="selected"{/if}>{$city.city}</option>
            {/foreach}
        </select>
        <label for="">Тип</label>
        <select name="filter[type]" id="">
            <option value="">Неважно</option>
            {foreach key=tid item=type from=$types}
                <option value="{$type.id}" {if $filter.type==$type.id}selected="selected"{/if}>{$type.title}</option>
            {/foreach}
        </select>
        <input type="submit"/>
    </form>
    <hr/>
</div>

{if $items}

    <div id="place-list">
    {foreach key=tid item=item from=$items}
        <div class="place-item">
            <div class="place-image" style="background: url({$item.image}) center center no-repeat"></div>
            <h3><a href="/poster/place/{$item.seo_link}">{$item.title}</a></h3>
            <div class="place-info">
                <span>Город: {$item.city}</span>
                <span style="float: right">{$item.place_type}</span>
            </div>
            <div class="rating">
                <form action="/poster/rate" method="POST">
                    {section name=rate start=1 loop=6 step=1}
                        <input name="rate" type="radio" class="star" value="{$smarty.section.rate.index}" {if $item.rating>=$smarty.section.rate.index}checked="checked"{/if} {if !$is_user || $item.user_voted}disabled="disabled"{/if} />
                    {/section}
                </form>
            </div>
        </div>
     {/foreach}
        <div class="clear"></div>
    </div>
{else}
    Нет данных
{/if}

{$pagination}