{add_js file='includes/jquery/tabs/jquery.ui.min.js'}
{add_css file='includes/jquery/tabs/tabs.css'}

{add_js file='components/poster/js/rating/jquery.MetaData.js'}
{add_js file='components/poster/js/rating/jquery.rating.js'}
{add_css file='components/poster/js/rating/jquery.rating.css'}

<h1 class="con_heading">{$item.title}</h1>

<table class="place-table">
    <tr>
        <td>
            <div class="place-address">{$item.city}, {$item.address}</div>
            <div class="place-info">
                {$item.info}
            </div>
        </td>
        <td style="width: 250px">
            <div class="place-rate">
                <div>
                    <strong>Проголосуй и поделись</strong>
                </div>
                <form action="/poster/rate_place" method="POST">
                    <input type="hidden" name="item_id" value="{$item.id}" />
                    {section name=rate start=1 loop=6 step=1}
                        <input name="rate" type="radio" class="star" value="{$smarty.section.rate.index}" {if $item.rating>=$smarty.section.rate.index}checked="checked"{/if} {if !$is_user || $item.user_voted}disabled="disabled"{/if} />
                    {/section}
                </form>
                <div>
                    {if $item.rating}
                        <small>{$item.rating} / <span style="color:gray">{$item.rating_votes|spellcount:"голос":"голоса":"голосов"}</span></small>
                    {/if}
                </div>
            </div>
            {literal}
                <script type="text/javascript">(function() {
                        if (window.pluso)if (typeof window.pluso.start == "function") return;
                        if (window.ifpluso==undefined) { window.ifpluso = 1;
                            var d = document, s = d.createElement('script'), g = 'getElementsByTagName';
                            s.type = 'text/javascript'; s.charset='UTF-8'; s.async = true;
                            s.src = ('https:' == window.location.protocol ? 'https' : 'http')  + '://share.pluso.ru/pluso-like.js';
                            var h=d[g]('body')[0];
                            h.appendChild(s);
                        }})();</script>
                <div class="pluso" data-background="none;" data-options="small,square,line,horizontal,nocounter,sepcounter=1,theme=14" data-services="google,vkontakte,facebook,twitter"></div>
            {/literal}
        </td>
    </tr>
    <tr>
        <td>
            {if $item.images}
                <div id="images">
                    <a href="/images/poster/medium/poster_place_{$item.id}.jpg" class="lightbox-enabled" rel="lightbox-galery" title="{$item.title|escape:'html'}"><img src="/images/poster/small/poster_place_{$item.id}.jpg" alt=""/></a>

                    {foreach key=tid item=image from=$item.images}
                        <a href="/images/poster/medium/{$image}" class="lightbox-enabled" rel="lightbox-galery" title="{$item.title|escape:'html'}"><img src="/images/poster/small/{$image}" alt=""/></a>
                    {/foreach}
                </div>
            {/if}
            <div class="place-desc">
                {$item.description}
            </div>
            <div id="schedule">
                <h3>Программа на сегодня</h3>
                {if $item.schedules}
                    {foreach key=tid item=schedule from=$item.schedules}
                        <div>
                            <div>
                                <img src="{$schedule.image}" alt=""width="50" style="float: left"/>
                                <h5><a href="/poster/{$schedule.type_seo_link}/{$schedule.seo_link}">{$schedule.title}</a></h5>
                            </div>
                            {$schedule.schedule}
                        </div>
                        <div style="clear: both"></div>
                    {/foreach}
                {else}
                    На cегодня нет ничего
                {/if}
                {if $item.all_schedules}
                    <h3>Полная программа</h3>
                    {foreach key=tid item=schedule from=$item.all_schedules}
                        <div>
                            <div>
                                <img src="{$schedule.image}" alt=""width="50" style="float: left"/>
                                <h5><a href="/poster/{$schedule.type_seo_link}/{$schedule.seo_link}">{$schedule.title}</a></h5>
                            </div>
                            <div>с {$schedule.start_date|date_format:"%d.%m.%Y"} по {$schedule.end_date|date_format:"%d.%m.%Y"}</div>
                            Сеансы: {$schedule.schedule}
                        </div>
                        <div style="clear: both"></div>
                    {/foreach}
                {/if}
            </div>
        </td>
        <td>
            <div>
                <strong>{$item.city},{$item.address}</strong>
                <div id="map" style="width:100%; height:400px"></div>
                {literal}
                <script src="//api-maps.yandex.ru/2.0/?load=package.full&lang=ru-RU" type="text/javascript"></script>
                <script>
                    ymaps.ready(init);
                    var myMap;

                    function init(){
                        myMap = new ymaps.Map ("map", {
                            center: [{/literal}{$item.map_coords}{literal}],
                            zoom: 15,
                            behaviors: ['default', 'scrollZoom']
                        });
                        myMap.controls.add('zoomControl', { left: 5, top: 5 })

                        myPlacemark = new ymaps.Placemark([{/literal}{$item.map_coords}{literal}],{}, {
                            preset: 'twirl#redDotIcon'
                        });
                        myMap.geoObjects.add(myPlacemark);
                    }

                </script>
                {/literal}
            </div>
        </td>
    </tr>
</table>



<script type="text/javascript">
    {literal}
    $(function(){$(".uitabs").tabs();});
    $('.star').rating({
        callback: function(value, link){
            this.form.submit();
        }
    });
    {/literal}
</script>