{if $cfg.type==1}
    {foreach key=tid item=item from=$items}
        <div style="width: 50%; float: left">
            <h5><a href="{$item.type_seo_link}">{$item.type} ({$item.count})</a></h5>
            <div>
                <ul>
                    {foreach key=tid item=poster from=$item.items}
                        <li><a href="{$item.type_seo_link}/{$poster.seo_link}">{$poster.title}</a><span style="color: #808080; font-size: 11px"> {$poster.info_genre}</span></li>
                    {/foreach}
                </ul>
            </div>
        </div>
    {/foreach}
    <div class="clear"></div>
{else}
    <div class="sc-items">
        {foreach key=tid item=item from=$items}
            <a href="/poster/{$item.type_seo_link}/{$item.seo_link}" title="{$item.title}" style="background: url({$item.image}) center center no-repeat"><p>{$item.title}</p></a>
        {/foreach}
        <div class="clear"></div>
    </div>
{/if}

{literal}
    <style>
        .sc-table {
            width: 100%;
        }
        .sc-table td {
            padding: 3px 5px;
            border-bottom: 1px dotted #ccc;
        }
        .sc-items a {
            display: block;
            width: 120px;
            height: 120px;
            float: left;
            margin-bottom: 10px;
            margin-right: 10px;
            position: relative;
        }
        .sc-items a p {
            background: rgba(0,0,0,0.7);
            color: #fff;
            font-weight: bold;
            position: absolute;
            left: 0;
            bottom: 0;
            width: 100px;
            padding: 3px 10px;
            font-size: 11px;
            line-height: 12px;
            display: none;
        }
    </style>
    <script>
        $('.sc-items a').hover(
                function() {
                    $(this).find('p').fadeIn();
                },
                function() {
                    $(this).find('p').fadeOut();
                }
        )
    </script>
{/literal}